This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 126321 - Low Memory crashes anaconda
Low Memory crashes anaconda
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-18 18:56 EDT by d Forrest
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 14:51:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d Forrest 2004-06-18 18:56:46 EDT
Description of problem:

Low memory seems to crash the anaconda installer.  I failed to read
the memory requirements of Fedora FC2, and attempted to upgrade a
laptop with 96MB max (Toshiba 3020CT)

Version-Release number of selected component (if applicable):


How reproducible:
 Use an old low memory laptop ( I used grub to install isoimage as an
option) and start.

(per http://www-2.cs.cmu.edu/~colohan/docs/fedora_upgrade.html )

I'm trying it again using 'text' on the GRUB line for the isoimage

Steps to Reproduce:
1.  
2.
3.
  
Actual results:

Crash out of anaconda with 'unable to allocate memory' and an eventual
system reboot.

Expected results:

  A fine install.
 or
  A warning message saying I have insufficient memory to install.
 or
  A warning message and advice for proceeding (add swap space
perhaps?)

Additional info:

  I'm trying it in text mode with additional swap space -- maybe it
will work.

Thanks
  Thank you for working on Fedora.  Maybe I can upgrade my old laptop
to it.
Comment 1 d Forrest 2004-06-18 19:27:59 EDT
I was upgrading from redhat 7.2.

Using an isoimage text mode install, it makes it through finding the
packages, 'Dependency Check', 'Upgrade to begin', 'Copying file',
Preparing RPM transaction for a few minutes, then crashes.
Comment 2 Jeremy Katz 2004-10-07 14:51:54 EDT
Using a text mode install will work around this.

Note You need to log in before you can comment on or make changes to this bug.